**Source URL:** https://limited.veevavault.dev/safety/vault-api/api-reference/25.1/picklists/retrieve-picklist-values.md

# Retrieve Picklist Values



Retrieve all active values configured on a picklist.

<Endpoint path="/api/{version}/objects/picklists/{picklist_name}" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{picklist_name}` | The picklist `name` field value (`license_type__v`, `product_family__c`, `region__c`, etc.) |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v15.0/objects/picklists/license_type__v

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
  "responseStatus": "SUCCESS",
  "responseMessage": "Success",
  "picklistValues": [
    {
      "name": "full__v",
      "label": "Full User"
    },
    {
      "name": "read_only__v",
      "label": "Read-only User"
    },
    {
      "name": "external__v",
      "label": "External User"
    },
    {
      "name": "view_based__v",
      "label": "View-Based User"
    }
  ]
}

```
</CodeExample>

## Request : System-Managed Dependencies {#request--system-managed-dependencies}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v25.1/objects/picklists/state_cda__v

```
</CodeExample>

## Response : System-Managed Dependencies {#response--system-managed-dependencies}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "responseMessage": "Success",
    "picklistValues": [
        {
            "name": "ad-02__v",
            "label": "Canillo"
        },
        {
            "name": "ad-03__v",
            "label": "Encamp"
        },
        {
            "name": "ad-04__v",
            "label": "La Massana"
        }
    ],
"controllingPicklistName": "country_cda__v",
    "picklistDependencies": {
        "ad__v": [
            "ad-02__v",
            "ad-03__v",
            "ad-04__v",
            "ad-05__v",
            "ad-06__v",
            "ad-07__v",
            "ad-08__v"
        ],
        "ae__v": [
            "ae-aj__v",
            "ae-az__v",
            "ae-du__v",
            "ae-fu__v",
            "ae-rk__v",
            "ae-sh__v",
            "ae-uq__v"
        ]
   }
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, the response returns the active values on a picklist in ascending order, designated by the picklist value's `order` attribute. Picklist values that share the same `order` value are returned in the order they were configured. Retrieve the `order` of the picklist values with the [Retrieve Component Record (XML/JSON)](/vault-api/api-reference/25.1/metadata-definition-language-mdl/retrieve-component-records/retrieve-component-record-xmljson) endpoint on the `Picklist` component.

If the picklist is system-managed and has dependencies, the response also returns the `controllingPicklistName` and lists all `picklistDependencies`. Learn more about [managing picklist dependencies in Vault Help](https://platform.veevavault.help/en/lr/772652).

The response includes the following information for each picklist value:



---

**Previous:** [Retrieve All Picklists](/safety/vault-api/api-reference/25.1/picklists/retrieve-all-picklists)  
**Next:** [Create Picklist Values](/safety/vault-api/api-reference/25.1/picklists/create-picklist-values)